SDL_WriteStorageFile(3)

NAME
SDL_WriteStorageFile - Synchronously write a file from client memory into a storage container.

SYNOPSIS
#include <SDL3/SDL_storage.h>

bool SDL_WriteStorageFile(SDL_Storage *storage, const char *path, const void *source, Uint64 length);

FUNCTION PARAMETERS

storage
    a storage container to write to.

path
    the relative path of the file to write.

source
    a client-provided buffer to write from.

length
    the length of the source buffer.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetStorageSpaceRemaining(3), SDL_ReadStorageFile(3), SDL_StorageReady(3)